#include <pgthemewidget.h>
#include <pgtimerobject.h>
//#include <pg.h>

class Anim : public PG_ThemeWidget, public PG_TimerObject {
public:

	// the constructor
	Anim(PG_Widget* parent, PG_Rect r);

	// the destructor
	~Anim();

	Uint32 eventTimer(PG_TimerObject::ID id, Uint32 interval);

protected:

	// our custom event handler to redraw our stuff
	void eventBlit(SDL_Surface* surface, const PG_Rect& src, const PG_Rect& dst);

private:

	// the color we want to draw the lines with
	PG_Color my_color;

	int tickstate;
};

